Package io.dapr.v1

# Interface AppCallbackAlphaGrpc.AsyncService

All Known Implementing Classes:
  `AppCallbackAlphaGrpc.AppCallbackAlphaImplBase`

Enclosing class:
  AppCallbackAlphaGrpc

public static interface AppCallbackAlphaGrpc.AsyncService

     AppCallbackAlpha V1 is an optional extension to AppCallback V1 to opt
     for Alpha RPCs.

## Method Summary

Modifier and Type
Method
Description
`default void`
`onBulkTopicEventAlpha1(DaprAppCallbackProtos.TopicEventBulkRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.TopicEventBulkResponse> responseObserver)`
Subscribes bulk events from Pubsub
`default void`
`onJobEventAlpha1(DaprAppCallbackProtos.JobEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.JobEventResponse> responseObserver)`
Sends job back to the app's endpoint at trigger time.

## Method Details

### onBulkTopicEventAlpha1

default void onBulkTopicEventAlpha1(DaprAppCallbackProtos.TopicEventBulkRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.TopicEventBulkResponse> responseObserver)

     Subscribes bulk events from Pubsub

### onJobEventAlpha1

default void onJobEventAlpha1(DaprAppCallbackProtos.JobEventRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.JobEventResponse> responseObserver)

     Sends job back to the app's endpoint at trigger time.